Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface SourcesTabEvents

All Known Implementing Classes:
  DecoratedTabBar, DecoratedTabPanel, TabBar, TabPanel

Deprecated. use `HasSelectionHandlers` and `HasBeforeSelectionHandlers` instead

    @Deprecated
    public interface SourcesTabEvents

A widget that implements this interface sources the events defined by the `TabListener` interface.

Method Summary
`void` | `addTabListener(TabListener listener)` Deprecated. use `HasBeforeSelectionHandlers.addBeforeSelectionHandler(com.google.gwt.event.logical.shared.BeforeSelectionHandler)` and `HasSelectionHandlers.addSelectionHandler(com.google.gwt.event.logical.shared.SelectionHandler)` instead
`void` | `removeTabListener(TabListener listener)` Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by and add*Handler method instead

Method Detail

### addTabListener

    @Deprecated
    void addTabListener(TabListener listener)

  Deprecated. use `HasBeforeSelectionHandlers.addBeforeSelectionHandler(com.google.gwt.event.logical.shared.BeforeSelectionHandler)` and `HasSelectionHandlers.addSelectionHandler(com.google.gwt.event.logical.shared.SelectionHandler)` instead

  Adds a listener interface to receive click events.

  Parameters:
    `listener` - the listener interface to add

### removeTabListener

    @Deprecated
    void removeTabListener(TabListener listener)

  Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by and add*Handler method instead

  Removes a previously added listener interface.

  Parameters:
    `listener` - the listener interface to remove

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD